#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kxenewfilesettingspage.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kxenewfilesettingspage.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KXENewFileSettingsPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KXENewFileSettingsPage::KXENewFileSettingsPage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KXENewFileSettingsPage" );
    KXENewFileSettingsPageLayout = new QVBoxLayout( this, 11, 6, "KXENewFileSettingsPageLayout"); 

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    m_pLblDfltVersion = new QLabel( this, "m_pLblDfltVersion" );
    layout3->addWidget( m_pLblDfltVersion );

    m_pDfltVersion = new QLineEdit( this, "m_pDfltVersion" );
    layout3->addWidget( m_pDfltVersion );
    KXENewFileSettingsPageLayout->addLayout( layout3 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    m_pLblDfltEncoding = new QLabel( this, "m_pLblDfltEncoding" );
    layout4->addWidget( m_pLblDfltEncoding );

    m_pDfltEncoding = new QComboBox( FALSE, this, "m_pDfltEncoding" );
    layout4->addWidget( m_pDfltEncoding );
    KXENewFileSettingsPageLayout->addLayout( layout4 );

    m_pNewFileCreatBehav = new QButtonGroup( this, "m_pNewFileCreatBehav" );
    m_pNewFileCreatBehav->setExclusive( TRUE );
    m_pNewFileCreatBehav->setColumnLayout(0, Qt::Vertical );
    m_pNewFileCreatBehav->layout()->setSpacing( 6 );
    m_pNewFileCreatBehav->layout()->setMargin( 11 );
    m_pNewFileCreatBehavLayout = new QVBoxLayout( m_pNewFileCreatBehav->layout() );
    m_pNewFileCreatBehavLayout->setAlignment( Qt::AlignTop );

    m_pNewFileCreatBehav1 = new QRadioButton( m_pNewFileCreatBehav, "m_pNewFileCreatBehav1" );
    m_pNewFileCreatBehavLayout->addWidget( m_pNewFileCreatBehav1 );

    m_pNewFileCreatBehav2 = new QRadioButton( m_pNewFileCreatBehav, "m_pNewFileCreatBehav2" );
    m_pNewFileCreatBehav2->setChecked( TRUE );
    m_pNewFileCreatBehavLayout->addWidget( m_pNewFileCreatBehav2 );

    m_pNewFileCreatBehav3 = new QRadioButton( m_pNewFileCreatBehav, "m_pNewFileCreatBehav3" );
    m_pNewFileCreatBehav3->setChecked( FALSE );
    m_pNewFileCreatBehavLayout->addWidget( m_pNewFileCreatBehav3 );
    KXENewFileSettingsPageLayout->addWidget( m_pNewFileCreatBehav );
    spacer8 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KXENewFileSettingsPageLayout->addItem( spacer8 );
    languageChange();
    resize( QSize(288, 197).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    m_pLblDfltVersion->setBuddy( m_pDfltVersion );
    m_pLblDfltEncoding->setBuddy( m_pDfltEncoding );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KXENewFileSettingsPage::~KXENewFileSettingsPage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KXENewFileSettingsPage::languageChange()
{
    setCaption( tr2i18n( "New File Settings Page" ) );
    m_pLblDfltVersion->setText( tr2i18n( "XML &version:" ) );
    QWhatsThis::add( m_pLblDfltVersion, tr2i18n( "<b>XML version</b>\n"
"<br>\n"
"You can determine the default XML version for XML documents being created. This version is the default setting in wizard dialogs.<br>\n"
"Since there's only one XML version yet, you shouldn't change this value." ) );
    QWhatsThis::add( m_pDfltVersion, tr2i18n( "<b>XML version</b>\n"
"<br>\n"
"You can determine the default XML version for XML documents being created. This version is the default setting in wizard dialogs.<br>\n"
"Since there's only one XML version yet, you shouldn't change this value." ) );
    m_pLblDfltEncoding->setText( tr2i18n( "Default &encoding:" ) );
    QWhatsThis::add( m_pLblDfltEncoding, tr2i18n( "<b>Default encoding</b>\n"
"<br>\n"
"You can determine the default encoding for XML documents being created. This version is the default setting in wizard dialogs." ) );
    QWhatsThis::add( m_pDfltEncoding, tr2i18n( "<b>Default encoding</b>\n"
"<br>\n"
"You can determine the default encoding for XML documents being created. This version is the default setting in wizard dialogs." ) );
    m_pNewFileCreatBehav->setTitle( tr2i18n( "&Behavior on creating new files" ) );
    QWhatsThis::add( m_pNewFileCreatBehav, tr2i18n( "<b>Behavior on creating new files</b>\n"
"<br>\n"
"You can determine the behavior on creating new XML documents. Choose one of the following:<br>\n"
"<br>\n"
"<b><i>Start with new empty file</i></b><br>\n"
"Creates an empty XML document.<br>\n"
"<br>\n"
"<b><i>Start with file settings dialog assistance</i></b><br>\n"
"Opens a dialog to choose the XML version and encoding of the new document.<br>\n"
"<br>\n"
"<b><i>Start with new file with default settings</i></b><br>\n"
"Creates an XML document with the default XML version and default encoding selected above." ) );
    m_pNewFileCreatBehav1->setText( tr2i18n( "Start with new empty file" ) );
    m_pNewFileCreatBehav2->setText( tr2i18n( "Start with file settings dialog assistance" ) );
    m_pNewFileCreatBehav3->setText( tr2i18n( "Start with new file with default settings" ) );
}

#include "kxenewfilesettingspage.moc"
